"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.allReducers = void 0;

var _redux = require("redux");

var _globalReducer = require("./globalReducer.js");

var _merchantReducer = _interopRequireDefault(require("./merchantReducer.js"));

var _paymentsReducer = _interopRequireDefault(require("./paymentsReducer.js"));

var _salesReducer = _interopRequireDefault(require("./salesReducer.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const allReducers = (0, _redux.combineReducers)({
  globalReducer: _globalReducer.globalReducer,
  merchantReducer: _merchantReducer.default,
  paymentsReducer: _paymentsReducer.default,
  salesReducer: _salesReducer.default
});
exports.allReducers = allReducers;