import { getRequest, patchRequest } from '../../../helpers/request.js';
import { merchantInterface } from './merchantInterface.js';
export var service = function service() {
  var get = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : getRequest;
  var patch = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : patchRequest;
  return {
    get: get(function (params) {
      return "v0/affiliation/merchants/".concat(params.affiliationCode);
    }),
    patch: patch(function (params) {
      return "v0/affiliation/merchants/".concat(params.affiliationCode);
    }, merchantInterface)
  };
};