import { getRequest, patchRequest } from '../../../helpers/request.js';
import { merchantInterface } from './merchantInterface.js';

export const service = (get = getRequest, patch = patchRequest) => ({
  get: get(params => `v0/merchants/${params.affiliationCode}`),
  patch: patch(params => `v0/merchants/${params.affiliationCode}`,
    merchantInterface),
});
