import { matchesInterface } from 'sling-helpers';
import { contactsInterface } from './contactsInterface.js';

describe('Bank info Models', () => {
  it('Should validate the payload according to the interface.', () => {
    const payload = {
      name: 'test',
      typeId: 123,
      email: 'test.test@test.com',
      phone: '2111111111',
      mobilePhone: '21911111111',
    };

    expect(matchesInterface(contactsInterface)(payload))
      .to.equal(true);
  });
});
