import sinon from 'sinon';

import { service as walletTypesService } from './walletTypes.js';

describe('Wallet types Module', () => {
  it('Should have methods after initialization.', () => {
    const service = walletTypesService();
    expect(service.get).to.be.a('function');
  });

  it('Should call get request.', () => {
    const spy = sinon.spy();

    const getRequest = () => spy;

    const service = walletTypesService(getRequest);

    service.get();

    expect(spy).to.have.been.calledOnce;
  });
});
