"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.configureStore = void 0;

var _reduxThunk = _interopRequireDefault(require("redux-thunk"));

var _redux = require("redux");

var _index = require("../reducers/index.js");

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : {
    default: obj
  };
}

var configureStore = function configureStore(initialState) {
  var middleware = (0, _redux.applyMiddleware)(_reduxThunk.default);
  return (0, _redux.createStore)(_index.allReducers, initialState, middleware);
};

exports.configureStore = configureStore;