"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.service = void 0;

var _request = require("../../../helpers/request.js");

var _contactsInterface = require("./contactsInterface.js");

const service = (get = _request.getRequest, put = _request.putRequest, post = _request.postRequest) => ({
  get: get(params => `v0/merchants/${params.affiliationCode}/contacts`),
  put: put(params => `v0/merchants/${params.affiliationCode}/contacts/` + `${params.id}`, _contactsInterface.contactsInterface),
  post: post(params => `v0/merchants/${params.affiliationCode}/contacts`, _contactsInterface.contactsInterface)
});

exports.service = service;