import { service as brandsService } from './brands/brands.js';
import { service as productTypesService } from './productTypes/productTypes.js';
import { service as profilesService } from './profiles/profiles.js';
import { service as authorizationsService } from './authorizations/authorizations.js';
import { service as authorizationsReportService } from './authorizationsReport/authorizationsReport.js';

const brands = brandsService();
const productTypes = productTypesService();
const profiles = profilesService();
const authorizations = authorizationsService();
const authorizationsReport = authorizationsReportService();

export {
  brands,
  productTypes,
  profiles,
  authorizations,
  authorizationsReport,
};
