import salesReducer from './salesReducer.js';

describe('salesReducer', () => {
  const state = {
    state: 'xpto',
  };
  const data = ['mock_1', 'mock_2'];

  it('Should return state with sales report.', () => {
    const action = {
      type: 'GET_SALES_REPORT',
      data,
    };
    expect(salesReducer(state, action))
      .to.eql({ state: 'xpto', salesReport: data });
  });
});
