import { service as addressesService } from './addresses/addresses.js';
import { service as contactsService } from './contacts/contacts.js';
import { service as partnersService } from './partners/partners.js';
import { service as merchantService } from './merchant/merchant.js';

const addresses = addressesService();
const contacts = contactsService();
const partners = partnersService();
const merchant = merchantService();

export {
  addresses,
  contacts,
  partners,
  merchant,
};
